## com.google.appengine.api.datastore
Class DeleteContext

    java.lang.Object
      com.google.appengine.api.datastore.DeleteContext

All Implemented Interfaces:
  CallbackContext<Key>

    public final class DeleteContext

extends java.lang.Object

Concrete `CallbackContext` implementation that is specific to delete() callbacks.

Method Summary
`T` `getCurrentElement()`
`int` `getCurrentIndex()`
`Transaction` `getCurrentTransaction()`
`java.util.List<T>` `getElements()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElements

    public java.util.List<T> getElements()

  Specified by:
    `getElements` in interface `CallbackContext<T>`
  Returns:
    An unmodifiable view of the elements involved in the operation that triggered the callback..

### getCurrentTransaction

    public Transaction getCurrentTransaction()

  Specified by:
    `getCurrentTransaction` in interface `CallbackContext<T>`
  Returns:
    The current transaction, or `null` if there is no current transaction.

### getCurrentIndex

    public int getCurrentIndex()

  Specified by:
    `getCurrentIndex` in interface `CallbackContext<T>`
  Returns:
    The index in the result of `CallbackContext.getElements()` of the element for which the callback has been invoked.

### getCurrentElement

    public T getCurrentElement()

  Specified by:
    `getCurrentElement` in interface `CallbackContext<T>`
  Returns:
    The element for which the callback has been invoked. Shortcut for `getElements().getCurrentIndex()`.